## ros-noetic-ros-controllers 0.21.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ros_controllers)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-ros-controllers (0.21.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-ros-controllers (0.21.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-ros-controllers (0.20.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-ros-controllers (0.19.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-ros-controllers (0.18.1-1buster) buster; urgency=high

  * Update package.xml of ros_controllers meta-package to format 3
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-ros-controllers (0.18.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.17.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.16.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.16.0-1buster) buster; urgency=high

  * Bump CMake version to prevent CMP0048
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.15.1-1buster) buster; urgency=high

  * Remove rqt_joint_trajectory_controller from metapackage (#443 <https://github.com/ros-controls/ros_controllers/issues/443>)
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-ros-controllers (0.15.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-ros-controllers (0.14.3-1buster) buster; urgency=high

  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Mori

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-ros-controllers (0.14.2-1buster) buster; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-ros-controllers (0.14.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-ros-controllers (0.14.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-ros-controllers (0.13.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.13.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.13.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-ros-controllers (0.12.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-ros-controllers (0.12.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-ros-controllers (0.12.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.12.0-1buster) buster; urgency=high

  * Ordered dependencies & cleanup
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.11.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-ros-controllers (0.11.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-ros-controllers (0.11.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-ros-controllers (0.10.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-ros-controllers (0.9.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-ros-controllers (0.9.1-1buster) buster; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-ros-controllers (0.9.0-1buster) buster; urgency=high

  * Add rqt_joint_trajectory_controller to metapackage

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-noetic-ros-controllers (0.8.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.8.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.7.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.7.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.7.0-1buster) buster; urgency=high

  * Add diff_drive_controller and gripper_action_controller dependencies.


=== debian/control ===
Source: ros-noetic-ros-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/ros_controllers
Standards-Version: 3.9.2

Package: ros-noetic-ros-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-ackermann-steering-controller, ros-noetic-diff-drive-controller, ros-noetic-effort-controllers, ros-noetic-force-torque-sensor-controller, ros-noetic-forward-command-controller, ros-noetic-gripper-action-controller, ros-noetic-imu-sensor-controller, ros-noetic-joint-state-controller, ros-noetic-joint-trajectory-controller, ros-noetic-position-controllers, ros-noetic-velocity-controllers
Description: Library of ros controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ros-controllers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-ros-controllers 0.21.2

=== debian/changelog ===
ros-noetic-ros-controllers (0.21.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Sep 2023 23:00:00 -0000

ros-noetic-ros-controllers (0.21.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-ros-controllers (0.21.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-ros-controllers (0.20.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-ros-controllers (0.19.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-ros-controllers (0.18.1-1focal) focal; urgency=high

  * Update package.xml of ros_controllers meta-package to format 3
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-ros-controllers (0.18.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.17.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.16.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.16.0-1focal) focal; urgency=high

  * Bump CMake version to prevent CMP0048
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-ros-controllers (0.15.1-1focal) focal; urgency=high

  * Remove rqt_joint_trajectory_controller from metapackage (#443 <https://github.com/ros-controls/ros_controllers/issues/443>)
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-ros-controllers (0.15.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-ros-controllers (0.14.3-1focal) focal; urgency=high

  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Mori

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-ros-controllers (0.14.2-1focal) focal; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-ros-controllers (0.14.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-ros-controllers (0.14.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-ros-controllers (0.13.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.13.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.13.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-ros-controllers (0.12.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-ros-controllers (0.12.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-ros-controllers (0.12.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.12.0-1focal) focal; urgency=high

  * Ordered dependencies & cleanup
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-ros-controllers (0.11.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-ros-controllers (0.11.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-ros-controllers (0.11.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-ros-controllers (0.10.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-ros-controllers (0.9.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-ros-controllers (0.9.1-1focal) focal; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-ros-controllers (0.9.0-1focal) focal; urgency=high

  * Add rqt_joint_trajectory_controller to metapackage

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-noetic-ros-controllers (0.8.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.8.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.7.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.7.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-noetic-ros-controllers (0.7.0-1focal) focal; urgency=high
